Upload one resumable volume-upload part
import requests
url = "https://api.13-215-85-171.sslip.io/v1/volumes/{id}/uploads/{upload_id}/parts/{part_number}"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)curl --request PUT \
--url https://api.13-215-85-171.sslip.io/v1/volumes/{id}/uploads/{upload_id}/parts/{part_number} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '"<string>"'{
"upload_id": "<string>",
"kind": "file",
"source_kind": "restartable_file",
"target_path": "<string>",
"content_length": 123,
"accepted_bytes": 123,
"reserved_staging_bytes": 123,
"part_size": 123,
"part_count": 123,
"max_concurrency": 123,
"status": "created",
"conflict": "merge",
"checksum_algorithm": "sha256",
"limits": {
"max_upload_bytes": 123,
"max_part_bytes": 123,
"max_concurrency": 123,
"staging_quota_bytes": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"next_part": 123,
"archive_format": "tar",
"whole_checksum_sha256": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Volumes
Upload one resumable volume-upload part
Accepts one raw part body with Content-Type: application/octet-stream. Parts may be uploaded out of order and safely replayed.
PUT
/
v1
/
volumes
/
{id}
/
uploads
/
{upload_id}
/
parts
/
{part_number}
Upload one resumable volume-upload part
import requests
url = "https://api.13-215-85-171.sslip.io/v1/volumes/{id}/uploads/{upload_id}/parts/{part_number}"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/octet-stream"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)curl --request PUT \
--url https://api.13-215-85-171.sslip.io/v1/volumes/{id}/uploads/{upload_id}/parts/{part_number} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/octet-stream' \
--data '"<string>"'{
"upload_id": "<string>",
"kind": "file",
"source_kind": "restartable_file",
"target_path": "<string>",
"content_length": 123,
"accepted_bytes": 123,
"reserved_staging_bytes": 123,
"part_size": 123,
"part_count": 123,
"max_concurrency": 123,
"status": "created",
"conflict": "merge",
"checksum_algorithm": "sha256",
"limits": {
"max_upload_bytes": 123,
"max_part_bytes": 123,
"max_concurrency": 123,
"staging_quota_bytes": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"next_part": 123,
"archive_format": "tar",
"whole_checksum_sha256": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "Missing or invalid bearer credential",
"code": "unauthorized",
"request_id": "req_123"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}{
"error": "<string>",
"code": "invalid_request",
"error_detail": {
"code": "unauthorized",
"message": "<string>",
"phase": "auth",
"retryable": true,
"suggested_action": "<string>",
"step_index": 123,
"attempt": 123,
"max_attempts": 123,
"cache_subject": "<string>",
"build_id": "<string>",
"request_id": "<string>",
"details": {}
},
"request_id": "<string>",
"build_id": "<string>"
}Authorizations
API key passed as Bearer token
Headers
Optional lowercase hex SHA-256 digest for the uploaded part body.
Path Parameters
Volume ID
Upload session identifier.
Zero-based upload part number.
Required range:
x >= 0Body
application/octet-stream
The body is of type file.
Response
Updated upload session status
Available options:
file, directory_tar Available options:
restartable_file, spooled_stream, directory_archive Normalized absolute volume destination path rooted at /.
Available options:
created, uploading, staged, completing, completed, aborted, expired, failed Available options:
merge, replace, error Available options:
sha256 Show child attributes
Show child attributes
Available options:
tar